using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Suppliers  : Daolite.Business
	{
		public const string P_Products_SupplierID_Collection = "Products_SupplierID_Collection";
		public const string P_SupplierID = "SupplierID";
		public const string P_Address = "Address";
		public const string P_City = "City";
		public const string P_CompanyName = "CompanyName";
		public const string P_ContactName = "ContactName";
		public const string P_ContactTitle = "ContactTitle";
		public const string P_Country = "Country";
		public const string P_Fax = "Fax";
		public const string P_HomePage = "HomePage";
		public const string P_Phone = "Phone";
		public const string P_PostalCode = "PostalCode";
		public const string P_Region = "Region";

		Products[] _Products_SupplierID_Collection;

		public Products[] Products_SupplierID_Collection{
			get { return _Products_SupplierID_Collection; }
			set { _Products_SupplierID_Collection = value; }
		}


		long _SupplierID;

		public long SupplierID{
			get { return _SupplierID; }
			set { _SupplierID = value; }
		}


		string _Address;

		public string Address{
			get { return _Address; }
			set { _Address = value; }
		}


		string _City;

		public string City{
			get { return _City; }
			set { _City = value; }
		}


		string _CompanyName;

		public string CompanyName{
			get { return _CompanyName; }
			set { _CompanyName = value; }
		}


		string _ContactName;

		public string ContactName{
			get { return _ContactName; }
			set { _ContactName = value; }
		}


		string _ContactTitle;

		public string ContactTitle{
			get { return _ContactTitle; }
			set { _ContactTitle = value; }
		}


		string _Country;

		public string Country{
			get { return _Country; }
			set { _Country = value; }
		}


		string _Fax;

		public string Fax{
			get { return _Fax; }
			set { _Fax = value; }
		}


		string _HomePage;

		public string HomePage{
			get { return _HomePage; }
			set { _HomePage = value; }
		}


		string _Phone;

		public string Phone{
			get { return _Phone; }
			set { _Phone = value; }
		}


		string _PostalCode;

		public string PostalCode{
			get { return _PostalCode; }
			set { _PostalCode = value; }
		}


		string _Region;

		public string Region{
			get { return _Region; }
			set { _Region = value; }
		}


	}
}
